# Trigger Scan

{% hint style="warning" %}
Below APIs have been deprecated

`/api/data/{tenant}/sources/{source}/batch_data`

`/api/data/v2/{tenant}/sources/{source}/batch_data`

`/api/data/{tenant}/batch_data`

`/api/data/v2/{tenant}/batch_data`
{% endhint %}

## Trigger data scan

<mark style="color:green;">`POST`</mark> `https://{telmai_endpoint}/api/data/{tenant}/assets/{assetId}/batch_data`

Location specific request body parameters are defined below.

#### Path Parameters

| Name                                        | Type   | Description       |
| ------------------------------------------- | ------ | ----------------- |
| `tenant`<mark style="color:red;">\*</mark>  | string | Tenant identifier |
| `assetId`<mark style="color:red;">\*</mark> | string | Asset identifier  |

{% tabs %}
{% tab title="200 Data upload started" %}

```
{
    "message": string,    
    "job_id": string
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.telm.ai/telmai/api-reference/upload-data-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
